#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EPublishedFileInappropriateResult {
    NotScanned = 0,
    VeryUnlikely = 1,
    Unlikely = 30,
    Possible = 50,
    Likely = 75,
    VeryLikely = 100,
}

impl EPublishedFileInappropriateResult {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::NotScanned as i32 => Some(Self::NotScanned),
            x if x == Self::VeryUnlikely as i32 => Some(Self::VeryUnlikely),
            x if x == Self::Unlikely as i32 => Some(Self::Unlikely),
            x if x == Self::Possible as i32 => Some(Self::Possible),
            x if x == Self::Likely as i32 => Some(Self::Likely),
            x if x == Self::VeryLikely as i32 => Some(Self::VeryLikely),
            _ => None,
        }
    }
}
